org.apache.ignite.internal.managers.deployment

## Class P2PClassLoadingIssues

- java.lang.Object
- - org.apache.ignite.internal.managers.deployment.P2PClassLoadingIssues

    public class P2PClassLoadingIssues
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `rethrowDisarmedP2PClassLoadingFailure(NoClassDefFoundError error)` If the given error is related to p2p class-loading, it's converted to `IgniteException` and rethrown; otherwise, the original error is rethrown.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### rethrowDisarmedP2PClassLoadingFailure

    public static <T> T rethrowDisarmedP2PClassLoadingFailure(NoClassDefFoundError error)

If the given error is related to p2p class-loading, it's converted to `IgniteException` and rethrown; otherwise, the original error is rethrown.

Type Parameters:
  `T` - declared return type
Parameters:
  `error` - error to check
Returns:
  this method never returns normally, it always throws something

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022